---
title: RTCDataChannel.onopen
slug: Web/API/RTCDataChannel/onopen
tags:
  - Event Handler
  - Experimental
  - Property
  - RTCDataChannel
  - Reference
  - WebRTC
  - onopen
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The <code><strong>RTCDataChannel.onopen</strong></code> property is an {{domxref("EventHandler")}} which specifies a function to be called when the {{event("open")}} event is fired; this is a simple {{domxref("Event")}} which is sent when the data channel's underlying data transport—the link over which the {{domxref("RTCDataChannel")}}'s messages flow—is established or re-established.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>RTCDataChannel</em>.onopen = <em>function</em>;</pre>

<h3 id="Value">Value</h3>

<p>A function which the browser will call to handle the {{event("open")}} event. The function receives as its only input parameter the event itself, of type {{domxref("Event")}}.</p>

<h2 id="Example">Example</h2>

<p>This example adds a new data channel to an existing {{domxref("RTCPeerConnection")}}, <code>myPeerConnection</code>. It then establishes an {{event("open")}} event handler which updates some user interface elements to prepare them for being used to send messages over the data channel.</p>

<pre class="brush: js">let dc = myPeerConnection.createDataChannel("Message Channel");

dc.onopen = function(event) {
  let messageBox = document.getElementById("messageBox");
  let sendButton = document.getElementById("sendButton");

  messageBox.disabled = false;
  messageBox.focus();
  sendButton.disabled = false;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcdatachannel-onopen', 'RTCDataChannel.onopen') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.onopen")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>The {{event("open")}} event and its type, {{domxref("Event")}}.</li>
 <li>{{domxref("RTCDataChannel.onclose")}}</li>
 <li>The {{event("close")}} event and its type, {{domxref("Event")}}.</li>
</ul>
